package com.sun.imageio.plugins.common;

import java.util.PropertyResourceBundle;

public class I18NImpl
{
    public I18NImpl() {
    }
    
    protected static final String getString(String className, String name, String key) {
        PropertyResourceBundle propertyResourceBundle;
        try {
            propertyResourceBundle = new PropertyResourceBundle(Class.forName(className).getResourceAsStream(name));
        }
        catch (Throwable cause) {
            throw new RuntimeException(cause);
        }
        return (String)propertyResourceBundle.handleGetObject(key);
    }
}
